Clients

List clients

GET /v1/clients

Scope: clients:read

ParameterInRequired
qqueryNo
tabqueryNo
labelIdqueryNo
locationIdqueryNo
segmentIdqueryNo
idsqueryNo
sortqueryNo
pagequeryNo
pageSizequeryNo

Create a client

POST /v1/clients

Scope: clients:create

Body fieldTypeRequired
locationIdNo
ownerMembershipIdNo
visibilityNo
secondaryOwnerIdsarrayNo
priceListIdNo
salutationIdNo
firstNamestringYes
lastNamestringYes
genderNo
dateOfBirthNo
languageNo
sourceIdNo
emailNo
mobileNo
phoneNo
addressobjectNo
labelIdsarrayNo
customobjectNo
optInsobjectNo
privacyConsentstringNo
confidentialChannelNo
confidentialAddressNo
secureChatBlockedbooleanNo

Get a client

GET /v1/clients/{id}

Scope: clients:read

ParameterInRequired
idpathYes

Update a client

PATCH /v1/clients/{id}

Scope: clients:update

ParameterInRequired
idpathYes
If-MatchheaderNo
Body fieldTypeRequired
locationIdNo
ownerMembershipIdNo
visibilityNo
secondaryOwnerIdsarrayNo
priceListIdNo
salutationIdNo
firstNamestringNo
lastNamestringNo
genderNo
dateOfBirthNo
languageNo
sourceIdNo
emailNo
mobileNo
phoneNo
addressobjectNo
labelIdsarrayNo
customobjectNo
optInsobjectNo
privacyConsentstringNo
confidentialChannelNo
confidentialAddressNo
secureChatBlockedbooleanNo
statusstringNo